$!++
$! build_dist_doc.com
$! build documentation distribution kit -- 23-MAY-1998 Uwe Zessin
$!--
$ write SYS$OUTPUT F$FAO("!79*-")
$ _DEFAULT = F$ENVIRONMENT("DEFAULT")
$! on ERROR then $ exit %X2C
$ set noON
$!
$ _PROCEDURE = F$ENVIRONMENT("PROCEDURE")
$ _DEVICE    = F$PARSE(_PROCEDURE,,,"DEVICE")
$ _DIRECTORY = F$PARSE(_PROCEDURE,,,"DIRECTORY")
$!
$ set DEFAULT '_DEVICE''_DIRECTORY'	! [.VMS.TOOLS]
$!
$! ----------------------------------------
$ write SYS$ERROR -
  "%BUILD_DIST_DOC-W-DOCCUR, procedure assumes that documentation is current"
$!+
$! create temporary directory for distribution tree
$!-
$ create /directory /owner=[1,4] /protection=(g:re,w:re) [PYTHON.DIST_DOC_TMP]
$ define /translation=(concealed,terminal) -
  PYVMS_DIST_DOC  '_DEVICE'[PYTHON.DIST_DOC_TMP.]
$!
$! ----------------------------------------
$!+
$! for printers - bold printing via carriage control
$!-
$ library /CREATE /TEXT PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V001DOC.TLB -
                        [-.DOC]PYVMSDOC.MEM -
  /module= "PYVMSDOC.MEM"
$!
$!+
$! for printers understanding ANSI sequences
$!-
$ library /INSERT /TEXT PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V001DOC.TLB -
                        [-.DOC]PYVMSDOC.LNI -
  /module= "PYVMSDOC.LNI"
$!
$!+
$! to re-apply record attributes to .MEM file after $LIBRARY/EXTRACT
$!-
$ library /INSERT PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V001DOC.TLB -
                        [-.DOC]MEM.FDL -
  /module= "MEM.FDL"
$!
$!+
$! correct record attributes to .TXT file after conversion from .MEM
$!-
$ library /INSERT PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V001DOC.TLB -
                        [-.DOC]TXT.FDL -
  /module= "TXT.FDL"
$!
$! ----------------------------------------
$!+
$! COPY for simple line-printer output / text editor browsing
$!-
$ backup [-.DOC]PYVMSDOC.TXT; PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V001DOC.TXT;0
$!+
$! readme for ftp.python.org to get people started
$!-
$ backup [-.DOC]pyvms1_5_1-v001.readme; PYVMS_DIST_DOC:[000000]*.*;0
$!
$! ----------------------------------------
$ library /TEXT /COMPRESS /DATA=REDUCE /LOG -
  PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V001DOC.TLB -
  /OUTPUT= PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V001DOC.TLB
$ purge PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V001DOC.TLB
$!
$! ----------------------------------------
$ library /list PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V001DOC.TLB
$ directory PYVMS_DIST_DOC:[000000]
$!
